Bug 1014468 - Please update mpcdec to the newer SV8 versions
Please update mpcdec to the newer SV8 versions
Status: NEW
Product: Fedora
Classification: Fedora
Component: libmpcdec (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 02:53 EDT by Ankur Sinha (FranciscoD)
Modified: 2016-12-01 14:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2013-10-02 02:53:04 EDT
Description of problem:
libmpcdec is still at version 1.2.6 which is the SV7 code. Upstream has said that this code will not get updates, and people should instead use SV8.

Version-Release number of selected component (if applicable):
1.2.6

Additional info:
http://www.musepack.net/index.php?pg=src  says:

"note: Old. Refer to above SV8 lib (compatible with SV7)"

Software such as mpd has already made the shift to the new API, so an update here would be welcome.
Comment 1 Nicolas Chauvet (kwizart) 2013-10-02 04:10:11 EDT
This is true, this package is outdated. Unfortunately the source code looks insane to a package point of view. 

Help welcomed.
Comment 2 Ankur Sinha (FranciscoD) 2013-10-11 20:30:26 EDT
Yeah. To start with, looks like upstream is releasing all libraries together, with a single cmake build system:

http://svn.musepack.net/libmpc/trunk/

I can't seem to find the other musepack libraries in Fedora. I wonder what the best way forward is:

- use the new tar, generate all libraries, split into subpackages:
This will require a spec change, so a new package, and a fresh review IMO

- use the new tar, generate everything but only pack the libmpcdec part to update our package here:
Might cause trouble later if someone else decides to pack the other musepack libraries (duplication of src tar + build steps, at least)

What do you folks think?

[asinha@ankur-laptop  ~]$ sudo yum search libmpc
[sudo] password for asinha:
Loaded plugins: langpacks, refresh-packagekit
========================================================================= N/S matched: libmpc ==========================================================================
compat-libmpc.i686 : compat/bootstrap mpc-0.9 library
compat-libmpc.x86_64 : compat/bootstrap mpc-0.9 library
libmpc.i686 : C library for multiple precision complex arithmetic
libmpc.x86_64 : C library for multiple precision complex arithmetic
libmpc-devel.i686 : Header and shared development libraries for MPC
libmpc-devel.x86_64 : Header and shared development libraries for MPC
libmpcdec.i686 : Musepack audio decoding library
libmpcdec.x86_64 : Musepack audio decoding library
libmpcdec-devel.i686 : Development files for the Musepack audio decoding library
libmpcdec-devel.x86_64 : Development files for the Musepack audio decoding library

  Name and summary matches only, use "search all" for everything.
[asinha@ankur-laptop  ~]$

Thanks,
Warm regards,
Ankur
Comment 3 Rex Dieter 2013-10-12 00:04:40 EDT
+1 to " use the new tar, generate all libraries, split into subpackages:
This will require a spec change, so a new package, and a fresh review" plan
Comment 4 Ankur Sinha (FranciscoD) 2013-10-12 03:09:32 EDT
(In reply to Rex Dieter from comment #3)
> +1 to " use the new tar, generate all libraries, split into subpackages:
> This will require a spec change, so a new package, and a fresh review" plan

I'm working on a new package. Not as simple as I had hoped. Ran into this one already:

https://bugzilla.redhat.com/show_bug.cgi?id=1018449
Comment 5 Ankur Sinha (FranciscoD) 2013-10-12 03:47:12 EDT
More issues:

It uses gain_analysis.h from LAME, so it might have to go to RPMFusion. gain_analysis.h isn't even a header that lame installs. It's an internal header. Mailed upstream about this.

Ankur
Comment 6 Ankur Sinha (FranciscoD) 2013-10-12 21:05:21 EDT
(In reply to Ankur Sinha (FranciscoD) from comment #5)
> More issues:
> 
> It uses gain_analysis.h from LAME, so it might have to go to RPMFusion.
> gain_analysis.h isn't even a header that lame installs. It's an internal
> header. Mailed upstream about this.
> 
> Ankur

They have their own libreplaygain implementation. Packing that up as a BR too. 

http://svn.musepack.net/libreplaygain/
Comment 7 Ankur Sinha (FranciscoD) 2013-10-13 02:09:47 EDT
Review posted for the musepack library:

https://bugzilla.redhat.com/show_bug.cgi?id=1018546

Thanks,
Warm regards,
Ankur
Comment 8 Fedora End Of Life 2015-05-29 05:29:51 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Jan Kurik 2015-07-15 10:45:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 10 Fedora End Of Life 2016-11-24 06:03:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Rex Dieter 2016-12-01 14:11:57 EST
marking futurefeature

Note You need to log in before you can comment on or make changes to this bug.